Problems for installing Redmine1.2

Added by 获鼎 李 over 6 years ago

Guys,

I am very frustrated when I tried to install RedMine 1.2 on my Ubuntu 10.04. First of all, "*apt-get install redmine redmine-mysql*" never works.

Then I tried to install manually.

I found a bug in the Rakefile, which generates the no DSL problem, I fixed it by downgrading my Rake and add a fake rake/dsl_definiton.rb.

Then I cam to the following error:
lihuod@zebra-gateway:~/redmine-1.2$ rake db:migrate RAILS_ENV="production" --trace
(in /home/lihuod/redmine-1.2)
  • Invoke db:migrate (first_time)
  • Invoke environment (first_time)
  • Execute environment
  • Execute db:migrate
    rake aborted!
    undefined method `more_results' for #<Mysql>

Could you help out why Redmine 1.2 is so difficult to install? 0.9.x is fine on my machine, but it is too old :(

Replies (3)

RE: Problems for installing Redmine1.2 - Added by hugo joe over 6 years ago

The newest 1.2 in svn resolved the dsl problem. You can run "svn update" in the redmine root directory.
I think 1.2 is easier to install :) . Better check some guides in Howtos.
My os is debian squeeze.

Hugo

RE: Problems for installing Redmine1.2 - Added by Etienne Massip over 6 years ago

Also check your mysql gem adapter.

Debian install nightmare - Added by H-Works Agency over 6 years ago

Redmine on debian is clearly impossible for regular users.

Documentations are confusing (fcgi, passenger - what for ? ruby - rails - gems ?) and simply don't work as expected.

After reading every doc out there i arrive on a apache directory listing with passenger never loading.

When i'll figure out how this whole thing really works i will write something clear and understandable by human beings.

(1-3/3)